#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: 45_set_default_services.pl, v1.0.0.0 Tue 15 Apr 2008 12:09:28 PM EDT mstauber Exp $
# Copyright 2006-2008 Solarspeed Ltd. All rights reserved.
#
# Script to set certain services to default state.

use CCE;
my $cce = new CCE;
my $conf = '/var/lib/cobalt';

$cce->connectuds();

# Find /home in CCE to determine if this is the first bootup after
# VPS creation:
$firstboot = "0";
@oids = $cce->find('Disk', { 'mountPoint' => '/home' });
if ($#oids < 0) {
    $firstboot = "1";
}

# Email, YUM and NTP server:
my @oids = $cce->find('System');
if (not @oids) {
        $cce->bye('FAIL');
        exit 1;
}

my ($ok, $obj) = $cce->get($oids[0], 'Email');
unless ($ok and $obj) {
        $cce->bye('FAIL');
        exit 1;
}
else {
    if ($firstboot == "1") {
        ($ok) = $cce->set($oids[0], 'Email',{
            "queueTime" => "immediate",
            "masqAddress" => "",
            "enableSubmissionPort" => "0",
            "enableImap" => "1",
            "deniedUsers" => "",
            "smartRelay" => "",
            "acceptFor" => "",
            "enableSMTPS" => "0",
            "enableImaps" => "0",
            "enablePops" => "0",
            "relayFor" => "",
            "enableSMTP" => "1",
            "popRelay" => "0",
            "maxMessageSize" => "",
            "enablePop" => "1",
            "enableSMTPAuth" => "1",
            "deniedHosts" => ""
        });
        # YUM updater:
        ($ok) = $cce->set($oids[0], 'nusolYum',{
            "yumUpdateTime" => "6:00",
            "y_force_update" => "2146835920",
            "yumguiEMAIL" => "1",
            "yumUpdateMO" => "1",
            "yumUpdateTH" => "1",
            "autoupdate" => "On",
            "yumUpdateTU" => "1",
            "yumUpdateWE" => "1",
            "yumUpdateSU" => "1",
            "yumguiEMAILADDY" => "admin",
            "yumUpdateFR" => "1",
            "yumUpdateSA" => "1"
        });
    }
}

# Active Monitor:
my @oids = $cce->find('ActiveMonitor');
if (not @oids) {
        $cce->bye('FAIL');
        exit 1;
}
my ($ok, $obj) = $cce->get($oids[0], '');
unless ($ok and $obj) {
        $cce->bye('FAIL');
        exit 1;
}
else {
    # Set Active Monitor to default states:
    ($ok) = $cce->set($oids[0], 'RAID',{
        "monitor" => "0"
    });
    ($ok) = $cce->set($oids[0], 'DMA',{
        "monitor" => "0"
    });
    ($ok) = $cce->set($oids[0], 'DiskIntegrity',{
        "monitor" => "0"
    });
    ($ok) = $cce->set($oids[0], 'Network',{
        "monitor" => "0"
    });
    # Only set this during first VPS boot:
    if ($firstboot == "1") {
        ($ok) = $cce->set($oids[0], 'SMTPAuth',{
            "enabled" => "1"
        });
        ($ok) = $cce->set($oids[0], 'Email',{
            "enabled" => "1"
        });
    }
}
